Rygel.MediaPlayer Reference Manual

# MediaPlayer

## Object Hierarchy:

## Description:

public interface MediaPlayer : `Object`
All known implementing classes:

- Player

Namespace: Rygel
Package: librygel-renderer

## Content:

### Properties:

- public abstract `string` playback_state { set; owned get; }
- public abstract `string`? uri { set; owned get; }
- public abstract `double` volume { set; get; }
- public abstract `int64` duration { get; }
- public abstract `string`? metadata { set; owned get; }
- public abstract `string`? mime_type { set; owned get; }
- public abstract `string`? content_features { set; owned get; }
- public `string` duration_as_str { owned get; }
- public abstract `int64` position { get; }
- public `string` position_as_str { owned get; }

### Methods:

- public abstract `bool` seek (`ClockTime` time)
- public abstract `string`[] get_protocols ()
- public abstract `string`[] get_mime_types ()